Bug 9915 - CKEditor (ex-FCKeditor) Master Bug
: CKEditor (ex-FCKeditor) Master Bug
Status: NEW
Product: WebKit
Classification: Unclassified
Component: HTML Editing
: 417.x
: All All
: P2 Normal
Assigned To: Nobody
http://www.fckeditor.net/nightly/brow...
:
Depends on: 11335 12250 12257 15256 15322 16118 20442 34799 8497 9911 11297 11398 12183 12241 12242 12243 12244 12245 12246 12249 12252 12253 12254 12255 13033 14428 14552 14594 14747 16117 52106 57185
Blocks: 7552
  Show dependency treegraph
 
Reported: 2006-07-14 08:02 PDT by Frederico Caldeira Knabben
Modified: 2011-03-27 09:42 PDT (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frederico Caldeira Knabben 2006-07-14 08:02:47 PDT
This is an umbrella bug which will hold all bugs related to the incompatibility of Safari with FCKeditor.

FCKeditor is the most used WYSIWYG browser based editor in the market. It is full compatible with IE and Firefox. Future compatibility includes Safari and Opera.

The official demo of FCKeditor is available here:
http://www.fckeditor.net/demo/

During the compatibility development process, Safari will not be officially supported by FCKeditor. A normal textarea is presented to unsupported browsers instead.

The main URL provided in the report presents a "Safari Enabled" version of FCKeditor. This one can be used for our tests.

This bug can be closed as soon as both Safari and FCKeditor will be ready and the compatibility will be officially announced.
Comment 1 Alexey Proskuryakov 2006-09-18 09:41:15 PDT
All the dependencies of this bug have been fixed - are there any issues remaining?
Comment 2 Frederico Caldeira Knabben 2006-09-19 04:55:25 PDT
I ask to please leave this bug opened. There will be a strong investigation regarding FCKeditor and Safari until the end of October. Any other issue found in that period will be attached to this bug.
Comment 3 Justin Garcia 2006-10-23 16:06:23 PDT
The editor at http://www.fckeditor.net/_temp/test_safari.html doesn't support Safari afaict.  Emailing Frederico to see what's up.
Comment 4 Frederico Caldeira Knabben 2006-10-24 02:58:14 PDT
Thanks for the advice Justin. I'm updating the URL, pointing it to the nightly with Safari support enabled. By default it is disabled as it is not compatible yet.

I'm working on more testing now. I hope I'll have more info soon.
Comment 5 Lance Speelmon 2006-10-27 16:44:12 PDT
It does not look like the URL is pointed to an FCKeditor instance that supports webkit.  I tried it with 3.0 (521.28.2).  Do I need to use a nightly build or has the URL not been updated yet?  Thanks!  L
Comment 6 David Kilzer (:ddkilzer) 2006-10-28 04:33:30 PDT
(In reply to comment #5)
> It does not look like the URL is pointed to an FCKeditor instance that supports
> webkit.  I tried it with 3.0 (521.28.2).  Do I need to use a nightly build or
> has the URL not been updated yet?  Thanks!  L

Most testing has probably been done with WebKit nightlies ("420+") on Tiger (10.4).  If you're using a Leopard (10.5) build to test, the editor may not be properly sniffing the browser's user agent.
Comment 7 Frederico Caldeira Knabben 2006-11-23 02:09:49 PST
We have worked on some fixes in the last days and I'm glad to see the FCKeditor is now loading with the latest build.

There is still a lot to be done to make it work at 100%, but we are in the right road. I just want to thank all you for the work done until now.
Comment 8 Justin Garcia 2007-03-08 16:31:03 PST
 Frederico when can we unblock Safari on the main line?
Comment 9 David Kilzer (:ddkilzer) 2007-03-08 16:50:46 PST
(In reply to comment #8)
> Frederico when can we unblock Safari on the main line?

Justin, my understanding was that Frederico wanted all of the outstanding bug dependencies on this bug fixed first (which is why he went through and filed all of them).

Comment 10 Frederico Caldeira Knabben 2007-03-09 03:06:56 PST
Not anymore dependent of #11001. Fixed at FCKeditor:
http://dev.fckeditor.net/ticket/57
Comment 11 Frederico Caldeira Knabben 2007-03-09 03:41:30 PST
(In reply to comment #8)
>  Frederico when can we unblock Safari on the main line?

Justin, David understood it well.

I will be able to announce the compatibility only when the editor will be working with Safari at 100%. Our users expect that. I really don't want to use it as a marketing thing, like others do. It's a matter of credibility, and responsibility.

The nice thing is that it seams we are not that far from that, specially if we continue in the rhytym we are going now. I really thank all the WebKit group for the brilliant work you have been doing.

The following page can also give you an overview of the current status:
http://tinyurl.com/3c4glw

Comment 12 Frederico Caldeira Knabben 2007-03-13 04:30:28 PDT
To help us concentrating our efforts in the most important things, I've organized all Safari related tickets in the FCKeditor dev site by priority.

More info can be found here:
http://dev.fckeditor.net/milestone/Safari%20Compatibility
Comment 13 mitz@webkit.org 2007-04-18 11:14:58 PDT
*** Bug 13396 has been marked as a duplicate of this bug. ***
Comment 14 Justin Garcia 2007-04-19 13:25:59 PDT
*** Bug 13402 has been marked as a duplicate of this bug. ***
Comment 15 Frederico Caldeira Knabben 2007-06-20 06:26:11 PDT
Safari 3 Beta has been a wonderful surprise for us. FCKeditor is running much better on it, and we are really very close to declare compatibility. We have updated our "Safari Compatibility Effort" page:
http://www.fckeditor.net/safari

We are doing the best at our side to achieve it, but we really need help from WebKit to complete it. I would love to declare compatibility of the upcoming FCKeditor 2.5 with Safari 3.

I strongly invite all you to check out our ticket system at http://tinyurl.com/3c4glw. So far, the big showstopper is Bug 12250.

Thanks again for your wonderful support on this.
Comment 16 David Kilzer (:ddkilzer) 2007-06-20 10:38:25 PDT
(In reply to comment #15)
> I strongly invite all you to check out our ticket system at
> http://tinyurl.com/3c4glw. So far, the big showstopper is Bug 12250.

As redundant as this will be, creating corresponding bugs on bugs.webkit.org for each of your open issues is probably going to be the best way to get these resolved.  Links from one bug system to the other (in both bugs) would be very helpful as well.

Comment 17 Patricia Warwick 2007-06-20 10:47:42 PDT
(In reply to comment #16)
> (In reply to comment #15)
> > I strongly invite all you to check out our ticket system at
> > http://tinyurl.com/3c4glw. So far, the big showstopper is Bug 12250.
> 
> As redundant as this will be, creating corresponding bugs on bugs.webkit.org
> for each of your open issues is probably going to be the best way to get these
> resolved.  Links from one bug system to the other (in both bugs) would be very
> helpful as well.
> 
I may have misunderstood this thread, but ought I to be able to use Webkit/Safari and invoke FCKEditor?  If so, it isn't working for me. I still have to use Firefox.
Comment 18 David Kilzer (:ddkilzer) 2007-06-20 10:53:39 PDT
(In reply to comment #17)
> I may have misunderstood this thread, but ought I to be able to use
> Webkit/Safari and invoke FCKEditor?  If so, it isn't working for me. I still
> have to use Firefox.

No, FCKEditor does not fully support Safari 3 yet.  There is a special trial page for testing it, though:

http://www.fckeditor.net/nightly/browsers_test.html

Note that each web site that uses FCKEditor on their own will have to upgrade to the latest version once Safari 3 support is enabled.

Comment 19 Frederico Caldeira Knabben 2007-06-21 07:21:29 PDT
(In reply to comment #16)
> As redundant as this will be, creating corresponding bugs on bugs.webkit.org
> for each of your open issues is probably going to be the best way to get these
> resolved.  Links from one bug system to the other (in both bugs) would be very
> helpful as well.

Thanks for the note David. We usually have WebKit tickets for each issue. But you are right, some of them are missing. We'll be working to report everything here. I just wanted to point to other related resources, as more information is always handy to help understand the real status of things.

Thanks again.
Comment 20 Matt Lilek (pewtermoose) 2007-06-21 14:53:14 PDT
*** Bug 14296 has been marked as a duplicate of this bug. ***
Comment 21 Frederico Caldeira Knabben 2007-10-06 02:35:49 PDT
We have declared official support for WebKit on FCKeditor. This is wonderful, but there are still some issues to be solved.

So far, Bug 15256 is the most important one for now. Are there any news for it? Any workaround?
Comment 22 Alexander Mohr 2008-08-19 11:13:13 PDT
I just discovered a regression: 20442
Comment 23 Jason Spradlin 2008-09-02 15:34:24 PDT
(In reply to comment #21)
> We have declared official support for WebKit on FCKeditor. This is wonderful,
> but there are still some issues to be solved.
> 
> So far, Bug 15256 is the most important one for now. Are there any news for it?
> Any workaround?
> 

It is now September 2008 and Google has released Chrome, which runs on WebKit... FCKEditor is still not supported (at least on windows).  Any news?